<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        {% block stylesheets %}

        {% endblock %}
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="assets/main.css">
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">      
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar navbar-dark bg-primary">
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-controls="navbarTogglerDemo01" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarTogglerDemo01">
                <a class="navbar-brand" href="#">Bibliioteca</a>
                <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
                    <li class="nav-item active">
                        <a class="nav-link" href="{{path('libros_index')}}">Inicio <span class="sr-only">(current)</span></a>
                    </li>
                    {% if app.user %}
                        <li class="nav-item">
                            <a class="nav-link" href="{{path('logout')}}">Logout</a>
                        </li>
                    {% else%}
                        <a class="nav-link" href="{{path('login')}}">Login</a>
                    {% endif %}
                    <li class="nav-item">
                        <a class="nav-link" href="{{path('user_register')}}">Registro</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{path('editoriales_index')}}">Editoriales</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{path('autores_index')}}">Autores</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{path('tematicas_index')}}">Temáticas</a>
                    </li>
                </ul>
                <form class="form-inline my-2 my-lg-0">
                    {% if app.user %}
                        <h6>Bienvenido,{{app.user.nombre~" "~app.user.apellidos}}</h6>
                    {% endif %}
                    &nbsp;
                    <input id="busqueda_input" class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                    <button id="busqueda_btn" class="btn btn-outline-success my-2 my-sm-0" type="button">Buscar</button>
                </form>
            </div>
        </nav>
        {%block header  %}  {% endblock%}                      
    {% block body %}{% endblock %}

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
    {% block javascripts %}
    {% endblock %}
</body>
</html>
